import { createApp } from 'vue'
import router from './router'
import './style.css'
import App from './App.vue'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'

//echarts
import * as echarts from "echarts";
import naive from 'naive-ui'

//公共组件
import { componentPlign } from './components/index.js'
//封装公共接口
// import jm_api from './utils/requet.js'
//组件之间传参
import mitt from 'mitt'
const mitter = mitt()

const app = createApp(App)


// app.config.globalProperties.$Cesium
//调用后台Api
//app.config.globalProperties.$jm_api = jm_api
//组件之间传参
app.config.globalProperties.$mitt = mitter
//echarts
app.config.globalProperties.$echarts = echarts

app.use(router).use(ElementPlus).use(naive).use(componentPlign)
app.mount('#app')
